Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jxunit
Class JXDirectoryScan

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.ArrayList
                        |
                        +--net.sourceforge.jxunit.JXDirectoryScan

All Implemented Interfaces:
  Cloneable, Collection, JXTestSetup, List, Serializable

public class JXDirectoryScan
extends ArrayList
implements JXTestSetup

See Also:
  Serialized Form

Field Summary
`boolean` | `active`
`String` | `dir`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`JXDirectoryScan()`

Method Summary
`void` | `setup(String cwd, JXProperties properties)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Field Detail

### dir

    public String dir

### active

    public boolean active

Constructor Detail

### JXDirectoryScan

    public JXDirectoryScan()

Method Detail

### setup

    public void setup(String cwd,
                      JXProperties properties)
               throws Throwable

  Specified by:
    `setup` in interface `JXTestSetup`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD